Get general ledger report

Generates a detailed general ledger report with account balances and journal entries

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
The ID of the entity to generate the report for
monthintegerOptional1-12

Month number (1-12) for the report period

yearintegerOptional

Year for the report period (e.g., 2024)

startDatestringOptionalformat: "date-time"

Start date for filtering transactions (ISO 8601 format)

endDatestringOptionalformat: "date-time"

End date for filtering transactions (ISO 8601 format, defaults to current date)

Response

General ledger report generated successfully
accountslist of objects
entrieslist of objects
Journal entries for the period
pdf_urlstring
URL to the generated PDF report
hierarchyobject
Hierarchical view of accounts

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error